package llc.arma.ble.domain.usecase

import llc.arma.ble.domain.common.BleException
import llc.arma.ble.domain.repository.BleRepository
import javax.inject.Inject

class ChangeBlePassword @Inject constructor(
    private val bleRepository: BleRepository
) {

    suspend operator fun invoke(
        password: String,
        serial: String
    ): llc.arma.ble.domain.Result<Unit, BleException> {
        return bleRepository.changeBlePassword(password, serial)
    }

}